<?php

namespace App\Models\Traits;

trait WithPosition
{

    /**
     * Notes: 用做定位查询的作用域
     * @Author: <C.Jason>
     * @Date  : 2020/6/8 4:12 下午
     * @param $query
     * @param $pos
     * @return mixed
     */
    public function scopeOfPosition($query, $pos)
    {
        return $query->whereRaw('position & ' . $pos);
    }

}
